use super::Gui;


pub mod nav;
pub mod song_list;
pub mod context_menu;

pub trait Component {
    fn ui(gui: &mut Gui, ctx: &egui::Context);
}

pub trait ComponentUi {
    fn ui(gui: &mut Gui, ui: &mut egui::Ui);
}
